TS_TEST_MT(1)

NAME
ts_test_mt - A basic multitouch test program for tslib.

SYNOPSIS
ts_test_mt [OPTION]

DESCRIPTION

ts_test_mt is used to test tslib using ts_read_mt() , see ts_read_mt (3). It can be used for single and multi touch devices and lets you test the input behaviour with tslib's filters applied. Two modes are offered by buttons on the display:

In Drag mode, one crosshair for each concurrently made touch contact is drawn to the framebuffer display.

In Draw mode, lines are drawed for each touch contact.

-r, --rotate [value]

    Rotate the screen. value is 0 for 0 degree, 1 for 90 degrees (CW), 2 for 180 degrees (upside down) and 3 for 270 degrees (CCW).

-v, --verbose

    Print the input samples' values to the console.

-j, --slots

    Override the number of concurrent touch contacts to allocate.

-i, --idev

    Explicitly choose the original input event device for tslib to use. Default: the environment variable TSLIB_TSDEVICE's value.

-n, --samples

    Automatically exit after having read n samples.

-a, --altcross

    Show an alternative crosshair symbol at the touch points.

SEE ALSO

ts.conf (5), ts_calibrate (1), ts_uinput (1), ts_test (1)